Developers
API ReferenceTask Type

Creates a TaskType resource

POST
/project/task-types

Creates a TaskType resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Request Body

The new TaskType resource

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Lengthlength <= 100
decorator*string

Value in

  • "#78909c"
  • "#2490e3"
  • "#44a069"
  • "#987284"
  • "#d32f2f"
  • "#f57f17"
  • "#003366"
  • "#00bfa5"
  • "#ee7674"
  • "#9c27b0"
categories*array<>

Response Body

curl -X POST "https://example.com/project/task-types" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "decorator": "#78909c",    "categories": [      "2348245e-0ab0-4c35-9962-d6bf519a79a3"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decorator": "#78909c",  "categories": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ]}